import 'web_auth_integration_stub.dart'
    if (dart.library.js_interop) 'web_auth_integration_web.dart';

abstract class WebAuthIntegration {
  static void sendLoginSuccess(String token) {
    // Platform-specific implementation
    implSendLoginSuccess(token);
  }

  static bool isPopup() {
    return implIsPopup();
  }
}
